--- old/usr/src/uts/common/io/iwh/iwh.c	2015-08-19 07:25:07.728728153 -0400
+++ new/usr/src/uts/common/io/iwh/iwh.c	2015-08-19 07:25:07.734375405 -0400
@@ -2163,7 +2163,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_text until completed or timeout
@@ -2193,7 +2193,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_data until completed or timeout
@@ -2234,7 +2234,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_text until completed or timeout
@@ -2264,7 +2264,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_data until completed or timeout
@@ -3872,7 +3872,7 @@
 		if (ic->ic_mach &&
 		    (sc->sc_flags & IWH_F_RATE_AUTO_CTL)) {
 			clk = ddi_get_lbolt();
-			if (clk > sc->sc_clk + drv_usectohz(1000000)) {
+			if (clk > sc->sc_clk + drv_sectohz(1)) {
 				iwh_amrr_timeout(sc);
 			}
 		}
@@ -4829,7 +4829,7 @@
 	 */
 	IWH_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWH_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
@@ -4876,7 +4876,7 @@
 	 */
 	IWH_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWH_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
